## org.eclipse.datatools.sqltools.parsers.sql.query
Class SQLQueryParserPlugin

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.datatools.sqltools.parsers.sql.query.SQLQueryParserPlugin

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.core.runtime.IRegistryChangeListener, org.osgi.framework.BundleActivator

    public class SQLQueryParserPlugin

extends org.eclipse.core.runtime.Plugin
implements org.eclipse.core.runtime.IRegistryChangeListener

The main plugin class to be used in the desktop. TODO: contact ckadner@us.ibm.com to get this clean here

Field Summary
`static java.lang.String` `EXTENSION_ATTRIBUTE_FROMVERSION`
`static java.lang.String` `EXTENSION_ATTRIBUTE_PARSERMANAGER`
`static java.lang.String` `EXTENSION_ATTRIBUTE_PRODUCT`
`static java.lang.String` `EXTENSION_ATTRIBUTE_TOVERSION`
`static java.lang.String` `EXTENSION_CONFIGURATION_TAG`
`static java.lang.String` `EXTENSION_POINT_ID`
`static java.lang.String` `PLUGIN_ID`

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`SQLQueryParserPlugin()` The constructor.

Method Summary
`static SQLQueryParserPlugin` `getDefault()` Returns the shared instance.
`java.util.ResourceBundle` `getResourceBundle()` Returns the plugin's resource bundle,
`static java.lang.String` `getResourceString(java.lang.String key)` Returns the string from the plugin's resource bundle, or 'key' if not found.
`void` `registryChanged(org.eclipse.core.runtime.IRegistryChangeEvent event)` Reprocesses the registration of `SQLQueryParserManager` extensions.
`void` `start(org.osgi.framework.BundleContext context)` This method is called upon plug-in activation.
`void` `stop(org.osgi.framework.BundleContext context)` This method is called when the plug-in is stopped

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, startup, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

See Also:
  Constant Field Values

### EXTENSION_POINT_ID

    public static final java.lang.String EXTENSION_POINT_ID

See Also:
  Constant Field Values

### EXTENSION_CONFIGURATION_TAG

    public static final java.lang.String EXTENSION_CONFIGURATION_TAG

See Also:
  Constant Field Values

### EXTENSION_ATTRIBUTE_PRODUCT

    public static final java.lang.String EXTENSION_ATTRIBUTE_PRODUCT

See Also:
  Constant Field Values

### EXTENSION_ATTRIBUTE_TOVERSION

    public static final java.lang.String EXTENSION_ATTRIBUTE_TOVERSION

See Also:
  Constant Field Values

### EXTENSION_ATTRIBUTE_FROMVERSION

    public static final java.lang.String EXTENSION_ATTRIBUTE_FROMVERSION

See Also:
  Constant Field Values

### EXTENSION_ATTRIBUTE_PARSERMANAGER

    public static final java.lang.String EXTENSION_ATTRIBUTE_PARSERMANAGER

See Also:
  Constant Field Values

Constructor Detail

### SQLQueryParserPlugin

    public SQLQueryParserPlugin()

  The constructor.

Method Detail

### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

  This method is called upon plug-in activation. It registers the plugin extensions to the SQLQuery parser.

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `start` in class `org.eclipse.core.runtime.Plugin`
  Parameters:
    `context` -
  Throws:
    `java.lang.Exception`

### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws java.lang.Exception

  This method is called when the plug-in is stopped

  Specified by:
    `stop` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `stop` in class `org.eclipse.core.runtime.Plugin`
  Parameters:
    `context` -
  Throws:
    `java.lang.Exception`

### getDefault

    public static SQLQueryParserPlugin getDefault()

  Returns the shared instance.

  Returns:

### getResourceString

    public static java.lang.String getResourceString(java.lang.String key)

  Returns the string from the plugin's resource bundle, or 'key' if not found.

### getResourceBundle

    public java.util.ResourceBundle getResourceBundle()

  Returns the plugin's resource bundle,

### registryChanged

    public void registryChanged(org.eclipse.core.runtime.IRegistryChangeEvent event)

  Reprocesses the registration of `SQLQueryParserManager` extensions.

  Specified by:
    `registryChanged` in interface `org.eclipse.core.runtime.IRegistryChangeListener`
  See Also:
    `IRegistryChangeListener.registryChanged(org.eclipse.core.runtime.IRegistryChangeEvent)`